Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class Container.AccessibleAWTContainer.AccessibleContainerHandler

    java.lang.Object
      java.awt.Container.AccessibleAWTContainer.AccessibleContainerHandler

All Implemented Interfaces:
  ContainerListener, EventListener

Enclosing class:
  Container.AccessibleAWTContainer

    protected class Container.AccessibleAWTContainer.AccessibleContainerHandler

extends Object
implements ContainerListener

Fire `PropertyChange` listener, if one is registered, when children are added or removed.

Since:
  1.3

Constructor Summary
`protected` | `Container.AccessibleAWTContainer.AccessibleContainerHandler()`

Method Summary
`void` | `componentAdded(ContainerEvent e)` Invoked when a component has been added to the container.
`void` | `componentRemoved(ContainerEvent e)` Invoked when a component has been removed from the container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Container.AccessibleAWTContainer.AccessibleContainerHandler

    protected Container.AccessibleAWTContainer.AccessibleContainerHandler()

Method Detail

### componentAdded

    public void componentAdded(ContainerEvent e)

  Description copied from interface: `ContainerListener`
  Invoked when a component has been added to the container.

  Specified by:
    `componentAdded` in interface `ContainerListener`

### componentRemoved

    public void componentRemoved(ContainerEvent e)

  Description copied from interface: `ContainerListener`
  Invoked when a component has been removed from the container.

  Specified by:
    `componentRemoved` in interface `ContainerListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.